/********************************************************************
	file base:	MMember
	file ext:	cs
	author:		mcvrlab
	
	purpose:	 会员实体类
*********************************************************************/
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MODEL
{
    /// <summary>
    /// 会员信息实体类
    /// </summary>
    public class MMember
    {
        private int _Id;

        public int Id
        {
            get { return _Id; }
            set { _Id = value; }
        }
        private string _UserName;

        public string UserName
        {
            get { return _UserName; }
            set { _UserName = value; }
        }
        private string _UserPwd;

        public string UserPwd
        {
            get { return _UserPwd; }
            set { _UserPwd = value; }
        }
        private int _Roleid;

        public int Roleid
        {
            get { return _Roleid; }
            set { _Roleid = value; }
        }
        private string _Intro;

        public string Intro
        {
            get { return _Intro; }
            set { _Intro = value; }
        }
        private string _Logo;

        public string Logo
        {
            get { return _Logo; }
            set { _Logo = value; }
        }
        private int _UserState;

        public int UserState
        {
            get { return _UserState; }
            set { _UserState = value; }
        }
        private int _ClassId;

        public int ClassId
        {
            get { return _ClassId; }
            set { _ClassId = value; }
        }
        private string _Mobile;

        public string Mobile
        {
            get { return _Mobile; }
            set { _Mobile = value; }
        }
        private string _Email;

        public string Email
        {
            get { return _Email; }
            set { _Email = value; }
        }
        private string _Phone;

        public string Phone
        {
            get { return _Phone; }
            set { _Phone = value; }
        }
        private string _Qq;

        public string Qq
        {
            get { return _Qq; }
            set { _Qq = value; }
        }
        private string _Msn;

        public string Msn
        {
            get { return _Msn; }
            set { _Msn = value; }
        }
        private int _Sex;

        public int Sex
        {
            get { return _Sex; }
            set { _Sex = value; }
        }
        private DateTime _BirthDay;

        public DateTime BirthDay
        {
            get { return _BirthDay; }
            set { _BirthDay = value; }
        }
        private string _ZipCode;

        public string ZipCode
        {
            get { return _ZipCode; }
            set { _ZipCode = value; }
        }
        private string _Fax;

        public string Fax
        {
            get { return _Fax; }
            set { _Fax = value; }
        }
        private bool _Oline;

        public bool Oline
        {
            get { return _Oline; }
            set { _Oline = value; }
        }
        private DateTime _Regtime;

        public DateTime Regtime
        {
            get { return _Regtime; }
            set { _Regtime = value; }
        }
        private string _LastLoginIp;

        public string LastLoginIp
        {
            get { return _LastLoginIp; }
            set { _LastLoginIp = value; }
        }
        private int _Areid;

        public int Areid
        {
            get { return _Areid; }
            set { _Areid = value; }
        }
        private string _Address;

        public string Address
        {
            get { return _Address; }
            set { _Address = value; }
        }
        private DateTime _LastLogtime;

        public DateTime LastLogtime
        {
            get { return _LastLogtime; }
            set { _LastLogtime = value; }
        }
        private string _UserPwdQuestion;

        public string UserPwdQuestion
        {
            get { return _UserPwdQuestion; }
            set { _UserPwdQuestion = value; }
        }
        private string _UserPwdPwd;

        public string UserPwdPwd
        {
            get { return _UserPwdPwd; }
            set { _UserPwdPwd = value; }
        }
        private int _Point;

        public int Point
        {
            get { return _Point; }
            set { _Point = value; }
        }
        private string _Name;

        public string Name
        {
            get { return _Name; }
            set { _Name = value; }
        }


    }
}
